Summary:	tla arch - revision control system
Summary(pl.UTF-8):	tla arch - system kontroli wersji
Name:		tla
Version:	1.3.5
Release:	12%{?tld}
Epoch:		1
License:	GPL v2
Group:		Development/Version Control
Source0:	http://ftp.gnu.org/gnu/gnu-arch/%{name}-%{version}.tar.gz
# Source0-md5:	db31ee89bc4788eef1eba1cee6c176ef
Patch1:		0001-Fixes-segmentation-fault-on-ia64.patch
Patch2:		0002-Fixes-alignment-errors-on-hppa-and-sparc.patch
Patch3:		0003-fix-bashisms.patch
Patch4:		0004-fix-machine-alignment.patch
Patch5:		0005-disable-builtin-expat.patch
Patch6:		0006-tar-preserve.patch
Patch7:		0007-fix-some-includes.patch
Patch8:		0008-fix-spelling.patch
Patch9:		0009-Remove-rpath-from-libneon.patch
Patch10:	0010-add-missing-include.patch
Patch11:	0011-Fix-malformed-comment-in-tla-doc-handbook-index.html.patch
Patch12:	0012-update-tla-tree-list-to-point-to-tla-add-id.patch
Patch13:	0013-fix-libneon-configure-options.patch
Patch14:	0014-do-not-show-the-build-date.patch
Patch15:	0015-changeset-fd-leak.patch
Patch20:		%{name}-neon.patch
Patch21:		libtool-tag.patch
URL:		http://www.gnu.org/software/gnu-arch/
BuildRequires:	libtool
BuildRequires:	neon-devel
# required by the configure script
BuildRequires:	patch
BuildRequires:	which
Requires:	diffutils
Requires:	patch
Requires:	tar
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
tla arch is a revision control system: a program that lets programmers
archive a history of changes made to the software they maintain and
that, more importantly, helps programmers to coordinate, synchronize,
and combine multiple lines of development for a single project.

arch version tla is a C version of the reference arch concepts.

%description -l pl.UTF-8
tla arch jest systemem kontroli wersji - programem, który pozwala
programistom archiwizować historię zmian wykonanych w rozwijanym przez
nich oprogramowaniu oraz, co ważniejsze, pomaga programistom
koordynować, synchronizować i łączyć wiele linii kodu podczas rozwoju
projektu.

arch w wersji tla to wersja w C wzorcowych idei arch.

%prep
%setup -q
# Patches from Debian
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
# Other patches
%patch20 -p1
%patch21 -p1

rm -rf src/libneon src/expat

%build
cd src
mkdir =build
cd =build

CFLAGS="%{rpmcflags}"
CXXFLAGS="%{rpmcflags}"
FFLAGS="%{rpmcflags}"
export CFLAGS CXXFLAGS FFLAGS

# custom configure script
../configure \
	--destdir=$RPM_BUILD_ROOT \
	--prefix=%{_prefix} \
	--with-cc="%{__cc}" \
	--with-ssh-type=openssh
%{__make} -j1

# ok, I tested already
%{__make} -j1 test

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -j1 -C src/=build install

rm -rf html
cp -a src/docs-tla html
find html -type f ! -name "*.html" | xargs rm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc html
%attr(755,root,root) %{_bindir}/tla
%changelog
* Thu Apr 25 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/tla.git;a=log;h=master

* Thu Apr 25 2024 Marcin Krol <hawk@tld-linux.org> c296792
- fixes from Debian

* Sun Sep 06 2015 Elan Ruusamäe <glen@delfi.ee> 7207e53
- cleanups, verbose files

* Sun Sep 06 2015 Elan Ruusamäe <glen@delfi.ee> 7a69406
- add libtool tag to make it build

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> 89018e5
- x32 rebuild
- release 11 (by relup.sh)

* Wed Aug 03 2011 Jan Rękorajski <baggins@pld-linux.org> 8ed42fe
- release 10

* Tue Feb 15 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 4328777
- release 9

* Thu Nov 25 2010 hawk <hawk@pld-linux.org> 8a69c44
- release 8

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> bdea765
- release 7

* Mon Jun 07 2010 hawk <hawk@pld-linux.org> b62c071
- release 6

* Sun May 16 2010 sparky <sparky@pld-linux.org> c1f8c63
- BR: which
- explicit BR: patch
- dropped common BR: findutils

* Mon Apr 12 2010 Jan Rękorajski <baggins@pld-linux.org> 41d9de8
- rel 5

* Sat Jan 09 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 453b988
- release 4

* Sun Feb 08 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 4545991
- release 3

* Tue Apr 08 2008 Elan Ruusamäe <glen@pld-linux.org> 0e8db7e
- unify ftp.gnu.org urls

* Fri Aug 31 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> a7f115b
- rel 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 9eceae3
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 1a1dc65
- converted to UTF-8

* Sun Nov 05 2006 Jakub Bogusz <qboosh@pld-linux.org> 756f1ee
- updated to 1.3.5, updated neon patch, removed obsolete debian patch

* Sun Nov 05 2006 Jakub Bogusz <qboosh@pld-linux.org> e6f198c
- more

* Sun Nov 05 2006 Jakub Bogusz <qboosh@pld-linux.org> 14dc916
- obsolete

